javax.swing

## Class AbstractButton.ButtonChangeListener

- java.lang.Object
- - javax.swing.AbstractButton.ButtonChangeListener

All Implemented Interfaces:
  Serializable, EventListener, ChangeListener

Enclosing class:
  AbstractButton

    protected class AbstractButton.ButtonChangeListener
    extends Object
    implements ChangeListener, Serializable

Extends `ChangeListener` to be serializable.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

### Method Summary

Methods
`void` `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### stateChanged

    public void stateChanged(ChangeEvent e)

Description copied from interface: `ChangeListener`
Invoked when the target of the listener has changed its state.

Specified by:
  `stateChanged` in interface `ChangeListener`
Parameters:
  `e` - a ChangeEvent object

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.